Skip to main content
PUT
/
api
/
teams
/
{team_id}
/
ip_whitelists
/
{id}
Error
A valid request URL is required to generate request examples
{
  "@id": "<string>",
  "@type": "<string>",
  "ip_address": "",
  "@context": "<string>",
  "id": "<string>",
  "is_enabled": true,
  "team": {
    "@id": "<string>",
    "@type": "<string>",
    "name": "<string>",
    "@context": "<string>",
    "id": "<string>",
    "owner_email": "<string>"
  },
  "proxy_account": {
    "@id": "<string>",
    "@type": "<string>",
    "@context": "<string>",
    "id": "<string>",
    "description": "<string>",
    "enabled": true,
    "status": "ACCOUNT_BLOCKED",
    "is_active": false,
    "username": "<string>",
    "plain_password": "<string>",
    "team": {
      "@id": "<string>",
      "@type": "<string>",
      "name": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "owner_email": "<string>"
    }
  },
  "tags": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "label": "",
      "@context": "<string>",
      "id": "<string>",
      "color": "#FF0000",
      "team": "https://example.com/",
      "created_by": "https://example.com/"
    }
  ]
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

team_id
string
required

Team identifier

id
string
required

IPWhitelist identifier

Body

The updated IPWhitelist resource

Core IP whitelist operations

ip_address
string<ipv6>
default:""
required
is_enabled
boolean
default:true
proxy_account
string<iri-reference>
Example:

"https://example.com/"

tags
object[]

Response

IPWhitelist resource updated

Core IP whitelist operations

@id
string
required
@type
string
required
ip_address
string<ipv6>
default:""
required
@context
id
string
read-only
is_enabled
boolean
default:true
team
object

Basic CRUD operations

proxy_account
object
tags
object[]